Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class SVG12BridgeExtension

    java.lang.Object
      org.apache.batik.bridge.SVGBridgeExtension
          org.apache.batik.bridge.svg12.SVG12BridgeExtension

All Implemented Interfaces:
  BridgeExtension

    public class SVG12BridgeExtension

extends SVGBridgeExtension

This is a Service interface for classes that want to extend the functionality of the Bridge, to support new tags in the rendering tree.

Constructor Summary
`SVG12BridgeExtension()`

Method Summary
`String` | `getAuthor()` This should return the individual or company name responsible for the this implementation of the extension.
`String` | `getContactAddress()` This should contain a contact address (usually an e-mail address).
`String` | `getDescription()` Human readable description of the extension.
`Iterator` | `getImplementedExtensions()` This should return the list of extensions implemented by this BridgeExtension.
`float` | `getPriority()` Return the priority of this Extension.
`String` | `getURL()` This should return a URL where information can be obtained on this extension.
`boolean` | `isDynamicElement(Element e)` Whether the presence of the specified element should cause the document to be dynamic.
`void` | `registerTags(BridgeContext ctx)` This method should update the BridgeContext with support for the tags in this extension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVG12BridgeExtension

    public SVG12BridgeExtension()

Method Detail

### getPriority

    public float getPriority()

  Return the priority of this Extension. Extensions are registered from lowest to highest priority. So if for some reason you need to come before/after another existing extension make sure your priority is lower/higher than theirs.

  Specified by:
    `getPriority` in interface `BridgeExtension`
  Overrides:
    `getPriority` in class `SVGBridgeExtension`

### getImplementedExtensions

    public Iterator getImplementedExtensions()

  This should return the list of extensions implemented by this BridgeExtension.

  Specified by:
    `getImplementedExtensions` in interface `BridgeExtension`
  Overrides:
    `getImplementedExtensions` in class `SVGBridgeExtension`
  Returns:
    An iterator containing strings one for each implemented extension.

### getAuthor

    public String getAuthor()

  This should return the individual or company name responsible for the this implementation of the extension.

  Specified by:
    `getAuthor` in interface `BridgeExtension`
  Overrides:
    `getAuthor` in class `SVGBridgeExtension`

### getContactAddress

    public String getContactAddress()

  This should contain a contact address (usually an e-mail address).

  Specified by:
    `getContactAddress` in interface `BridgeExtension`
  Overrides:
    `getContactAddress` in class `SVGBridgeExtension`

### getURL

    public String getURL()

  This should return a URL where information can be obtained on this extension.

  Specified by:
    `getURL` in interface `BridgeExtension`
  Overrides:
    `getURL` in class `SVGBridgeExtension`

### getDescription

    public String getDescription()

  Human readable description of the extension. Perhaps that should be a resource for internationalization? (although I suppose it could be done internally)

  Specified by:
    `getDescription` in interface `BridgeExtension`
  Overrides:
    `getDescription` in class `SVGBridgeExtension`

### registerTags

    public void registerTags(BridgeContext ctx)

  This method should update the BridgeContext with support for the tags in this extension. In some rare cases it may be necessary to replace existing tag handlers, although this is discouraged.

  Specified by:
    `registerTags` in interface `BridgeExtension`
  Overrides:
    `registerTags` in class `SVGBridgeExtension`
  Parameters:
    `ctx` - The BridgeContext instance to be updated

### isDynamicElement

    public boolean isDynamicElement(Element e)

  Whether the presence of the specified element should cause the document to be dynamic. If this element isn't handled by this BridgeExtension, just return false.

  Specified by:
    `isDynamicElement` in interface `BridgeExtension`
  Overrides:
    `isDynamicElement` in class `SVGBridgeExtension`
  Parameters:
    `e` - The element to check.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.